Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
revdep-rebuild loop
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Duplicate Threads
View previous topic :: View next topic  
Author Message
oldefortran
l33t
l33t


Joined: 28 Feb 2004
Posts: 652

PostPosted: Sat Oct 21, 2006 9:17 am    Post subject: revdep-rebuild loop Reply with quote

If I do revdep-rebuild -pv it indicates that it will install gcc-4.1.4 and gcc-3.4.6-r1.
And if I let it do that, and run revdep again, it will install those compilers again.
Looping.
What is this?
Back to top
View user's profile Send private message
moocha
Watchman
Watchman


Joined: 21 Oct 2003
Posts: 5722
Location: Cluj-Napoca, Romania

PostPosted: Sat Oct 21, 2006 12:14 pm    Post subject: Reply with quote

Probably some binary-only package problem, but without full revdep-rebuild output we can't help you.
Please delete /root/.revdep*, re-run
Code:
revdep-rebuild -- -pv
and provide the output.
_________________
Military Commissions Act of 2006: http://tinyurl.com/jrcto

"Those who would give up essential liberty to purchase a little temporary safety deserve neither liberty nor safety."
-- attributed to Benjamin Franklin
Back to top
View user's profile Send private message
oldefortran
l33t
l33t


Joined: 28 Feb 2004
Posts: 652

PostPosted: Sat Oct 21, 2006 1:17 pm    Post subject: Reply with quote

Code:
  broken /usr/kde/3.4/lib/kde3/katecppsymbolviewerplugin.la (requires /usr/kde/3.4/lib/libkateutils.la)
  broken /usr/kde/3.4/lib/kde3/katefiletemplates.la (requires /usr/kde/3.4/lib/libkateinterfaces.la)
  broken /usr/kde/3.4/lib/kde3/katefiletemplates.la (requires /usr/kde/3.4/lib/libkateutils.la)
  broken /usr/kde/3.4/lib/kde3/katefll_initplugin.la (requires /usr/kde/3.4/lib/libkateinterfaces.la)
  broken /usr/kde/3.4/lib/kde3/katefll_initplugin.la (requires /usr/kde/3.4/lib/libkateutils.la)
  broken /usr/kde/3.4/lib/kde3/katefll_plugin.la (requires /usr/kde/3.4/lib/libkateinterfaces.la)
  broken /usr/kde/3.4/lib/kde3/katefll_plugin.la (requires /usr/kde/3.4/lib/libkateutils.la)
  broken /usr/kde/3.4/lib/kde3/katehtmltoolsplugin.la (requires /usr/kde/3.4/lib/libkateinterfaces.la)
  broken /usr/kde/3.4/lib/kde3/katehtmltoolsplugin.la (requires /usr/kde/3.4/lib/libkateutils.la)
  broken /usr/kde/3.4/lib/kde3/katemodelineplugin.la (requires /usr/kde/3.4/lib/libkateinterfaces.la)
  broken /usr/kde/3.4/lib/kde3/katemodelineplugin.la (requires /usr/kde/3.4/lib/libkateutils.la)
  broken /usr/kde/3.4/lib/kde3/kateopenheaderplugin.la (requires /usr/kde/3.4/lib/libkateinterfaces.la)
  broken /usr/kde/3.4/lib/kde3/kateopenheaderplugin.la (requires /usr/kde/3.4/lib/libkateutils.la)
  broken /usr/kde/3.4/lib/kde3/katepybrowseplugin.la (requires /usr/kde/3.4/lib/libkateinterfaces.la)
  broken /usr/kde/3.4/lib/kde3/katepybrowseplugin.la (requires /usr/kde/3.4/lib/libkateutils.la)
  broken /usr/kde/3.4/lib/kde3/katesnippetsplugin.la (requires /usr/kde/3.4/lib/libkateinterfaces.la)
  broken /usr/kde/3.4/lib/kde3/katesnippetsplugin.la (requires /usr/kde/3.4/lib/libkateutils.la)
  broken /usr/kde/3.4/lib/kde3/katetextfilterplugin.la (requires /usr/kde/3.4/lib/libkateinterfaces.la)
  broken /usr/kde/3.4/lib/kde3/katetextfilterplugin.la (requires /usr/kde/3.4/lib/libkateutils.la)
  broken /usr/kde/3.4/lib/kde3/katexmlcheckplugin.la (requires /usr/kde/3.4/lib/libkateinterfaces.la)
  broken /usr/kde/3.4/lib/kde3/katexmlcheckplugin.la (requires /usr/kde/3.4/lib/libkateutils.la)
  broken /usr/kde/3.4/lib/kde3/katexmltoolsplugin.la (requires /usr/kde/3.4/lib/libkateinterfaces.la)
  broken /usr/kde/3.4/lib/kde3/katexmltoolsplugin.la (requires /usr/kde/3.4/lib/libkateutils.la)
  broken /usr/kde/3.4/lib/kde3/konq_sidebarnews.la (requires /usr/kde/3.4/lib/libkonqsidebarplugin.la)
  broken /usr/kde/3.4/lib/kde3/konqsidebar_mediaplayer.la (requires /usr/kde/3.4/lib/libkonqsidebarplugin.la)
  broken /usr/kde/3.4/lib/kde3/libakregatorkonqfeedicon.la (requires /usr/kde/3.4/lib/libkonq.la)
  broken /usr/kde/3.4/lib/kde3/libakregatorkonqplugin.la (requires /usr/kde/3.4/lib/libkonq.la)
  broken /usr/kde/3.4/lib/kde3/libarkplugin.la (requires /usr/kde/3.4/lib/libkonq.la)
  broken /usr/kde/3.4/lib/kde3/libcrashesplugin.la (requires /usr/kde/3.4/lib/libkonq.la)
  broken /usr/kde/3.4/lib/kde3/libdirfilterplugin.la (requires /usr/kde/3.4/lib/libkonq.la)
  broken /usr/kde/3.4/lib/kde3/libfsviewpart.la (requires /usr/kde/3.4/lib/libkonq.la)
  broken /usr/kde/3.4/lib/kde3/libkaddrbk_geo_xxport.la (requires /usr/kde/3.4/lib/libkabinterfaces.la)
  broken /usr/kde/3.4/lib/kde3/libkaddrbk_gmx_xxport.la (requires /usr/kde/3.4/lib/libkabinterfaces.la)
  broken /usr/kde/3.4/lib/kde3/libkatetabbarextensionplugin.la (requires /usr/kde/3.4/lib/libkateinterfaces.la)
  broken /usr/kde/3.4/lib/kde3/libkatetabbarextensionplugin.la (requires /usr/kde/3.4/lib/libkateutils.la)
  broken /usr/kde/3.4/lib/kde3/libkimgallery.la (requires /usr/kde/3.4/lib/libkonq.la)
  broken /usr/kde/3.4/lib/kde3/libkuickplugin.la (requires /usr/kde/3.4/lib/libkonq.la)
  broken /usr/kde/3.4/lib/kde3/libminitoolsplugin.la (requires /usr/kde/3.4/lib/libkonq.la)
  broken /usr/lib/ImageMagick-6.2.0/modules-Q16/coders/dps.la (requires /usr/lib/libdpstk.la)
  broken /usr/lib/ImageMagick-6.2.0/modules-Q16/coders/dps.la (requires /usr/lib/libdps.la)
  broken /usr/lib/avifile-0.7/mjpeg.la (requires /usr/lib/libaviplayavformat.la)
  broken /usr/lib/avifile-0.7/mjpeg.la (requires /usr/lib/libaviplayavcodec.la)
  broken /usr/lib/avifile-0.7/xvid.la (requires /usr/lib/libaviplayavformat.la)
  broken /usr/lib/avifile-0.7/xvid.la (requires /usr/lib/libaviplayavcodec.la)
  broken /usr/lib/gcc/i686-pc-linux-gnu/3.4.6/lib-org-w3c-dom.la (requires /usr/lib/libgcj.la)
  broken /usr/lib/gcc/i686-pc-linux-gnu/3.4.6/lib-org-xml-sax.la (requires /usr/lib/libgcj.la)
  broken /usr/lib/gcc/i686-pc-linux-gnu/4.1.1/libgij.la (requires /usr/lib/libgcj.la)
  broken /usr/lib/k3d/libk3dmesh.la (requires /usr/lib/libcblas.la)
  broken /usr/lib/k3d/libk3dmesh.la (requires /usr/lib/libsuperlu.la)
  broken /usr/lib/kde3/libkspreadcalc.la (requires /usr/lib/libkoscript.la)
  broken /usr/lib/libgdraw.la (requires /lib/libgunicode.la)
  broken /usr/lib/libmysqlpp.la (requires /usr/lib/mysql/libmysqlclient.la)
 done.
  (/root/.revdep-rebuild.3_rebuild)

Assigning files to ebuilds... done.
  (/root/.revdep-rebuild.4_ebuilds)

Evaluating package order... done.
  (/root/.revdep-rebuild.5_order)

All prepared. Starting rebuild...
emerge --oneshot -pv =sys-devel/gcc-4.1.1 =media-gfx/fontforge-20061014 =sys-devel/gcc-3.4.6-r1 =x11-libs/qt-4.1.4-r2
..........

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R   ] sys-devel/gcc-4.1.1  USE="doc fortran gcj nls (-altivec) -bootstrap -build -gtk (-hardened) -ip28 -ip32r10k -mudflap (-multilib) -multislot (-n32) (-n64) -nocxx -objc -objc++ -objc-gc -test -vanilla" 0 kB
[ebuild   R   ] media-gfx/fontforge-20061014  USE="X gif jpeg png svg tiff truetype -unicode" 0 kB
[ebuild   R   ] sys-devel/gcc-3.4.6-r1  USE="doc fortran gcj nls (-altivec) -bootstrap -boundschecking -build -gtk (-hardened) -ip28 -ip32r10k (-multilib) -multislot (-n32) (-n64) -nocxx -nopie -nossp -objc -test -vanilla" 0 kB
[ebuild   R   ] x11-libs/qt-4.1.4-r2  USE="cups doc examples gif jpeg odbc opengl png zlib -accessibility -debug -firebird -mng -mysql -nas -nis -postgres -sqlite -xinerama" 0 kB
Back to top
View user's profile Send private message
GiRa
l33t
l33t


Joined: 07 Apr 2005
Posts: 717

PostPosted: Tue Oct 24, 2006 9:17 am    Post subject: Reply with quote

I suggest tu run
Code:
equery b $lib
for every $lib in that list, I suppose most of them are old libs wich weren't removed during the unmerge. You can delete them manually.

I think the relevant part of the output is
Code:
broken /usr/lib/gcc/i686-pc-linux-gnu/3.4.6/lib-org-w3c-dom.la (requires /usr/lib/libgcj.la)
  broken /usr/lib/gcc/i686-pc-linux-gnu/3.4.6/lib-org-xml-sax.la (requires /usr/lib/libgcj.la)
  broken /usr/lib/gcc/i686-pc-linux-gnu/4.1.1/libgij.la (requires /usr/lib/libgcj.la)

because I've the same problem.

I resolved with:
Code:
Checking dynamic linking consistency...
  broken /usr/lib/gcc/i686-pc-linux-gnu/4.1.1/libgij.la (requires /usr/lib/libgcj.la)
 done.


Code:

cd /usr/lib/
ln -s /usr/lib/gcc/i686-pc-linux-gnu/4.1.1/libgcj.la
Back to top
View user's profile Send private message
A.S. Pushkin
Apprentice
Apprentice


Joined: 09 Nov 2002
Posts: 196
Location: dx/dt, dy/dt, dz/dt, t

PostPosted: Wed Feb 14, 2007 7:50 pm    Post subject: Reply with quote

Well, I can not speak for others, but running revdep-rebuild after doing the below now does not "loop."

Great!

Quote:

cd /usr/lib/
ln -s /usr/lib/gcc/i686-pc-linux-gnu/4.1.1/libgcj.la



Edit:

I nearly forgot! In addition to the above I had to do an additional links, like so:

Quote:

cd /usr/lib
ln -s /usr/lib/gcc/i686-pc-linux-gnu/4.1.1/lib-gnu-java-awt-peer-gtk.la


Now revdep-rebuild runs to completion with no errors and it picked up two applications that needed to be rebuilt,
Blender and k3b.

One other note worth mentioning is that should I opt to go back to gcc-3.4.6-r2 I will probably have to correct these links.


Thanks, GiRa. Your insight not only seems to have answered a repetitive problem, but educated me on how simple such may be.

Once again, I have found Gentoo's forums to be another good reason to switch to Gentoo. The extra work has made my move from SuSE a better one than I had guessed.
_________________
ASPushkin

"Necessity is the plea for every infringement of human freedom. It is the argument of tyrants; it is the creed of slaves."

-- William Pitt {1759-1806 British Statesman}
Back to top
View user's profile Send private message
desultory
Administrator
Administrator


Joined: 04 Nov 2005
Posts: 7820

PostPosted: Sun Feb 18, 2007 11:14 am    Post subject: Reply with quote

This has been discussed in topic: "Persistent revdep-rebuild issues: gcc and libgcj.la".

Moved from Portage & Programming to Duplicate Threads.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Duplicate Threads All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum